org.codehaus.plexus.util.xml

## Class XmlStreamWriter

- java.lang.Object
- - java.io.Writer
  - - org.codehaus.plexus.util.xml.XmlStreamWriter

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.Appendable, java.lang.AutoCloseable

      public class XmlStreamWriter
      extends java.io.Writer

  Character stream that handles (or at least attemtps to) all the necessary Voodo to figure out the charset encoding of the XML document written to the stream.
  Since:
    1.4.4
  Version:
    $Id: XmlStreamWriter.java 8010 2009-01-07 12:59:50Z vsiveton $
  Author:
    Herve Boutemy

- - ### Field Summary

    - ### Fields inherited from class java.io.Writer

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlStreamWriter(java.io.File file)`
    `XmlStreamWriter(java.io.OutputStream out)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flush()`
    `java.lang.String` | `getEncoding()`
    `void` | `write(char[] cbuf, int off, int len)`

    - ### Methods inherited from class java.io.Writer

      `append, append, append, write, write, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlStreamWriter

          public XmlStreamWriter(java.io.OutputStream out)

    - #### XmlStreamWriter

          public XmlStreamWriter(java.io.File file)
                          throws java.io.FileNotFoundException

      Throws:
        `java.io.FileNotFoundException`

  - ### Method Detail

    - #### getEncoding

          public java.lang.String getEncoding()

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in class `java.io.Writer`
      Throws:
        `java.io.IOException`

    - #### flush

          public void flush()
                     throws java.io.IOException

      Specified by:
        `flush` in interface `java.io.Flushable`
      Specified by:
        `flush` in class `java.io.Writer`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(char[] cbuf,
                            int off,
                            int len)
                     throws java.io.IOException

      Specified by:
        `write` in class `java.io.Writer`
      Throws:
        `java.io.IOException`